Categories:
  - Internet
  - Security
License: GPL-3.0-or-later
AuthorName: SURF Cooperative
AuthorEmail: eduvpn@surfnet.nl
AuthorWebSite: https://surf.nl
WebSite: https://eduvpn.org
SourceCode: https://github.com/eduvpn/android
IssueTracker: https://github.com/eduvpn/android/issues
Changelog: https://github.com/eduvpn/android/blob/HEAD/CHANGES.md

AutoName: eduVPN

RepoType: git
Repo: https://github.com/eduvpn/android

Builds:
  - versionName: 2.0.5
    versionCode: 18
    commit: 2.0.5
    submodules: true
    gradle:
      - basic
    output: app/build/outputs/apk/basic/release/app-basic-release-unsigned.apk
    rm:
      - ics-openvpn/main/src/main/cpp/mbedtls/programs/fuzz
      - ics-openvpn/main/src/main/cpp/mbedtls/tests
      - ics-openvpn/main/src/main/cpp/openvpn3/test/unittests
    ndk: r21

  - versionName: 2.99.0
    versionCode: 19
    commit: 42853cb51ddd16f1acff84205f4bb7c170b70117
    submodules: true
    sudo:
      - apt-get update
      - apt-get install openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - basic
    output: app/build/outputs/apk/basic/release/app-basic-release-unsigned.apk
    rm:
      - ics-openvpn/main/src/main/cpp/mbedtls/programs/fuzz
      - ics-openvpn/main/src/main/cpp/mbedtls/tests
      - ics-openvpn/main/src/main/cpp/openvpn3/test/unittests
    scandelete:
      - ics-openvpn/main/src/main/cpp/lz4
    ndk: r21

  - versionName: 3.0.0
    versionCode: 20
    commit: 11aa493e361cc123bbf73496328cd20f31f799aa
    submodules: true
    sudo:
      - apt-get update
      - apt-get install openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - basic
    output: app/build/outputs/apk/basic/release/app-basic-release-unsigned.apk
    rm:
      - ics-openvpn/main/src/main/cpp/mbedtls/programs/fuzz
      - ics-openvpn/main/src/main/cpp/mbedtls/tests
      - ics-openvpn/main/src/main/cpp/openvpn3/test/unittests
    scandelete:
      - ics-openvpn/main/src/main/cpp/lz4
    ndk: r21

  - versionName: 3.0.1
    versionCode: 21
    commit: fcb2cb2a625c45934183f059539a4b151b641598
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y swig
    gradle:
      - basic
    output: app/build/outputs/apk/basic/release/app-basic-release-unsigned.apk
    rm:
      - ics-openvpn/main/src/main/cpp/mbedtls/programs/fuzz
      - ics-openvpn/main/src/main/cpp/mbedtls/tests
      - ics-openvpn/main/src/main/cpp/openvpn3/test/unittests
    scandelete:
      - ics-openvpn/main/src/main/cpp/lz4
    ndk: r25b

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 3.0.1
CurrentVersionCode: 21
